package com.czg.market.service;

import com.czg.PageQueryParam;
import com.czg.market.dto.MkDiscountActivityDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.MkDiscountActivity;

/**
 * 商家满减活动表 服务层。
 *
 * @author ww
 * @since 2025-10-13
 */
public interface MkDiscountActivityService extends IService<MkDiscountActivity> {
    Page<MkDiscountActivityDTO> getActivityPage(PageQueryParam param, Long shopId);

    MkDiscountActivityDTO checkDiscountAct(Long discountActId, boolean couponShare, boolean vipShare, boolean limitRateShare, boolean pointsShare);

    MkDiscountActivityDTO getActivityByShopId(Long shopId);

    void addActivity(MkDiscountActivityDTO param);

    void updateActivityById(MkDiscountActivityDTO param);

    void deleteActivity(Long id);
}
